Subject: Re: bug#31921: 26.1.50; Add a convenient way to get flymake error at point

From: João Távora <[email-masked]>
Date: Mon, 25 Jun 2018 12:33:16 +0100

Carlos Pita <[email-masked]> writes:

>>> So feel free to close this, but please add something wrt this in the
>>> docstring or the info manual.
>>
>> In that case, it's better not to close it.  I've already read this
>> complaint/request elsewhere.
>
> I don't know if `C-h .` was intended by design or is the result of
> serendipity but it feels like the right solution to me

Neither I think, it's a side effect of good design and following
conventions.

I pushed the docchange to master as 15f4cdd873.

>> So, if others are reading this, what do you think of making eldoc
>> display the diagnostic at point instead of (along with?) whatever it was
>> already displaying in the echo area?
>
> Many major modes already use eldoc to show information about the
> symbol at point and the echo area is rather disputed by eldoc,
> company, etc. I would avoid automatically messaging the error at point
> to prevent excessive message switching. But it could be a
> customization toggle.

Yeah, I'd go with Dmitry's suggestion in

   https://github.com/joaotavora/eglot/issues/8#issuecomment-399698728

where he demonstrates that you can customize this by using:

   (custom-set-variables
    '(help-at-pt-timer-delay 0.1)
    '(help-at-pt-display-when-idle '(flymake-diagnostic)))

Though, in my testing, this always defers to eldoc (which is probably
the intended behavior).

João